# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    # Installing the software
    install_exe_if_needed('OpenHashTab_setup.exe',
        silentflags='/SP- /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /ALLUSERS /RESTARTEXITCODE=3010',
        key='{C0EEE3CD-665D-4E4E-B3BC-ADCD0FE73C0F}_is1',
        min_version=control.get_software_version(),
        get_version=get_version,
        timeout=600,
    )


def get_version(app_registry_dict):
    return app_registry_dict["version"].split("v")[-1]
    
    



